import request from '@/utils/request'

// 查询单位信息列表
export function listCsCompany(query) {
  return request({
    url: '/cs/csCompany/selectCompanyInfoList',
    method: 'get',
    params: query
  })
}

// 查询单位信息详细
export function getCsCompany(companyId) {
  return request({
    url: '/cs/csCompany/' + companyId,
    method: 'get'
  })
}

// 新增单位信息
export function addCsCompany(data) {
  return request({
    url: '/cs/csCompany',
    method: 'post',
    data: data
  })
}

// 修改单位信息
export function updateCsCompany(data) {
  return request({
    url: '/cs/csCompany',
    method: 'put',
    data: data
  })
}

// 删除单位信息
export function delCsCompany(companyId) {
  return request({
    url: '/cs/csCompany/' + companyId,
    method: 'delete'
  })
}
